Bug 23351 - Clean up localization template
Summary: Clean up localization template
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 16:28 UTC by Owen Leonard
Modified: 2019-10-02 12:53 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23351: Clean up localization template (7.52 KB, patch)
2019-07-29 14:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Looks good with in my tests. (7.51 KB, patch)
2019-10-01 09:46 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 23351: Clean up localization template (7.58 KB, patch)
2019-10-02 12:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23351: Clean up localization template (7.63 KB, patch)
2019-10-02 12:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-07-19 16:28:37 UTC
A little reformatting of the localization template (shown in the modal window when translating item type descriptions) would make it more consistent with other Koha interfaces.
Comment 1 Owen Leonard 2019-07-29 14:22:34 UTC
Created attachment 91853 [details] [review]
Bug 23351: Clean up localization template

This patch modifies the template used for translation of item type
descriptions. It is updated with more consistent Bootstrap grid markup
and improved handling of adding and removing rows from the DataTable.

To test you should have more than one translation installed.

 - Apply the patch and go to Administration -> Item types.
 - Edit an item type.
 - Click the translate link.
 - Add a new translation. The table of translations should be updated
   with your new translation.
 - Test the "Delete" link corresponding to your new entry. It should
   work correctly.
Comment 2 Owen Leonard 2019-07-29 14:29:51 UTC
This will conflict with Bug 20307 but not too badly. I can make this dependent on 20307 if necessary.
Comment 3 Jesse Maseto 2019-10-01 09:46:30 UTC
Created attachment 93356 [details] [review]
Looks good with in my tests.

Bug 23351: Clean up localization template

This patch modifies the template used for translation of item type
descriptions. It is updated with more consistent Bootstrap grid markup
and improved handling of adding and removing rows from the DataTable.

To test you should have more than one translation installed.

 - Apply the patch and go to Administration -> Item types.
 - Edit an item type.
 - Click the translate link.
 - Add a new translation. The table of translations should be updated
   with your new translation.
 - Test the "Delete" link corresponding to your new entry. It should
   work correctly.
Comment 4 Katrin Fischer 2019-10-02 12:48:25 UTC
Created attachment 93450 [details] [review]
Bug 23351: Clean up localization template

This patch modifies the template used for translation of item type
descriptions. It is updated with more consistent Bootstrap grid markup
and improved handling of adding and removing rows from the DataTable.

To test you should have more than one translation installed.

 - Apply the patch and go to Administration -> Item types.
 - Edit an item type.
 - Click the translate link.
 - Add a new translation. The table of translations should be updated
   with your new translation.
 - Test the "Delete" link corresponding to your new entry. It should
   work correctly.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-10-02 12:52:56 UTC
Created attachment 93451 [details] [review]
Bug 23351: Clean up localization template

This patch modifies the template used for translation of item type
descriptions. It is updated with more consistent Bootstrap grid markup
and improved handling of adding and removing rows from the DataTable.

To test you should have more than one translation installed.

 - Apply the patch and go to Administration -> Item types.
 - Edit an item type.
 - Click the translate link.
 - Add a new translation. The table of translations should be updated
   with your new translation.
 - Test the "Delete" link corresponding to your new entry. It should
   work correctly.

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-10-02 12:53:57 UTC
Nice work!

Pushed to master for 19.11.00